/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.common.http;

import org.apache.http.client.methods.CloseableHttpResponse;
import org.apache.http.client.methods.HttpRequestBase;

/**
 * @author 田平 create 2018年9月12日下午2:40:34
 */
public class HttpReqRsp {
	private HttpRequestBase req;
	private CloseableHttpResponse rsp;

	public HttpReqRsp() {

	}

	public HttpReqRsp(HttpRequestBase req, CloseableHttpResponse rsp) {
		this.req = req;
		this.rsp = rsp;
	}

	/**
	 * @return the req
	 */
	public HttpRequestBase getReq() {
		return req;
	}

	/**
	 * @param req the req to set
	 */
	public void setReq(HttpRequestBase req) {
		this.req = req;
	}

	/**
	 * @return the rsp
	 */
	public CloseableHttpResponse getRsp() {
		return rsp;
	}

	/**
	 * @param rsp the rsp to set
	 */
	public void setRsp(CloseableHttpResponse rsp) {
		this.rsp = rsp;
	}

}
